/*
 ******************************************************************************
 *
 * Copyright Ben Suffolk, 2004/5
 *
 * Ben@vanilla.net
 *
 * You may not reverse engineer, decompile or disassemble the software, except
 * and only to the extent that such activity is expressly permitted by
 * applicable law notwithstanding this limitation.
 *
 * You may not sell, rent, lease, sub-lease or incorporate the whole or any
 * part of the use of the software in any other program or system without the
 * express written agreement
 *
 ******************************************************************************
 *
 * Pass the commands from the GUI to the HWInterface
 *
 ******************************************************************************
 *
 * History :-
 *
 * Last Author:   $Author: suffo_b $
 * Last modified: $Date: 2005/03/21 09:06:22 $
 * Revision:      $Revision: 1.1 $
 *
 * Author          Date         Description
 *
 * Ben Suffolk     21/03/2005   Added comments, and tidied up
 *
 ******************************************************************************
*/


#import "CommandController.h"
#import "MainController.h"
#import <AppKit/NSNibLoading.h>
#import <AppKit/NSPanel.h>
#import "HWInterface.h"

@implementation CommandController

/**
 *
 * This method is called once the object has been loaded from the NIB file
 *
 **/
- (void)awakeFromNib
 {
 }


/**
 *
 * Called when the NOP button is pressed
 *
 **/
- (IBAction)NOP:(id)sender
 {
 [[[MainController MainController] HWInterface] SendCommand:CMD_NOP];
 }


/**
 *
 * Called when the version button is pressed
 *
 **/
- (IBAction)Version:(id)sender
 {
 [[[MainController MainController] HWInterface] SendCommand:CMD_VER];
 }

- (IBAction)Reset:(id)sender
 {
 [[[MainController MainController] HWInterface] SendCommand:CMD_NOP];
 [[[MainController MainController] HWInterface] SendCommand:CMD_RSET];
 }

- (IBAction)RxOFF:(id)sender
 {
 [[[MainController MainController] HWInterface] SendCommand:CMD_RXOFF];
 }

- (IBAction)RxON:(id)sender
 {
 [[[MainController MainController] HWInterface] SendCommand:CMD_RXON];
 }

- (IBAction)RxSCode:(id)sender
 {
 [[[MainController MainController] HWInterface] SendCommand:CMD_RXSC value:(unsigned char)([RxSCodeValue intValue] & 0xFF)];
 }

- (IBAction)MONSCode:(id)sender
 {
 [[[MainController MainController] HWInterface] SendCommand:CMD_MON_SC];
 }

- (IBAction)MONChannel:(id)sender
 {
 [[[MainController MainController] HWInterface] SendCommand:CMD_MON_LC];
 }

- (IBAction)MONFPS:(id)sender
 {
 [[[MainController MainController] HWInterface] SendCommand:CMD_MON_FPS];
 }

- (IBAction)TxSet:(id)sender
 {
 [[[MainController MainController] HWInterface] SendCommand:CMD_CH_SET channel:(unsigned int)([TxChannel intValue] & 0x3FF) value:(unsigned char)([TxValue intValue] & 0xFF)];
 }

- (IBAction)TxSetLast:(id)sender
 {
 [[[MainController MainController] HWInterface] SendCommand:CMD_TX_SLC channel:(unsigned int)([TxLastChannel intValue] & 0x3FF)];
 }

- (IBAction)TxOFF:(id)sender
 {
 [[[MainController MainController] HWInterface] SendCommand:CMD_TX_OFF];
 }

- (IBAction)TxON:(id)sender
 {
 [[[MainController MainController] HWInterface] SendCommand:CMD_TX_ON];
 }

- (IBAction)BOOn:(id)sender
 {
 [[[MainController MainController] HWInterface] SendCommand:CMD_BO_ON];
 }

- (IBAction)BOOff:(id)sender
 {
 [[[MainController MainController] HWInterface] SendCommand:CMD_BO_OFF];
 }

- (IBAction)TxSCode:(id)sender
 {
 [[[MainController MainController] HWInterface] SendCommand:CMD_TX_SSC value:(unsigned char)([TxSCodeValue intValue] & 0xFF)];
 }








@end
