/*
 ******************************************************************************
 *
 * Copyright Ben Suffolk, 2004/5
 *
 * Ben@vanilla.net
 *
 * You may not reverse engineer, decompile or disassemble the software, except
 * and only to the extent that such activity is expressly permitted by
 * applicable law notwithstanding this limitation.
 *
 * You may not sell, rent, lease, sub-lease or incorporate the whole or any
 * part of the use of the software in any other program or system without the
 * express written agreement
 *
 ******************************************************************************
 *
 * Create an instance of the HWInterface when the application awakes from the
 * NIB file
 *
 ******************************************************************************
 *
 * History :-
 *
 * Last Author:   $Author: suffo_b $
 * Last modified: $Date: 2005/03/21 09:06:22 $
 * Revision:      $Revision: 1.1 $
 *
 * Author          Date         Description
 *
 * Ben Suffolk     21/03/2005   Added comments, and tidied up
 *
 ******************************************************************************
*/

#import "MainController.h"

MainController *myController;

@implementation MainController

/**
 *
 * This method is called once the object has been loaded from the NIB file
 *
 **/
- (void)awakeFromNib
 {
 myController = self;
 
 if((hw = [[HWInterface alloc] init]))
  [hw retain];
 }


+ (MainController *)MainController
 {
 return(myController);
 }
 

- (HWInterface *)HWInterface
 {
 if(hw == nil)
  if((hw = [[HWInterface alloc] init]))
   [hw retain];
  
 return(hw);
 }



@end
